<div *ngIf="recipeDetail" class="list-group-item ">
  <h2 class="list-group-item-heading">{{ recipeDetail.name }}</h2>

  <hr>

  <div class="row">
    <div class="col-md-4">
      <img [src]="recipeDetail.imagePath" alt="imagePath" class="img-responsive img-rounded">
    </div>

    <div class="col-md-8">
      <p class="list-group-item">{{ recipeDetail.description }}</p>

      <hr>

      <div class="row">
        <div class="col-md-6">
          <h4>Ingredients:</h4>
        </div>
        <div class="col-md-6 dropdown" appDropdownToggle>
          <button class="btn btn-success dropdown-toggle pull-right">Options
            <span class="caret"></span>
          </button>

          <ul class="dropdown-menu pull-right">
            <li>
              <a class="dropdown-item" (click)="onAddIngredients($event)">Add To Shopping List</a>
            </li>
            <li>
              <a class="dropdown-item" (click)="onEditRecipe()">Edit Recipe</a>
            </li>
          </ul>
        </div>
      </div>
      <ul *ngIf="recipeDetail.ingredients && recipeDetail.ingredients.length > 0">
        <li class="list-group-item-text" *ngFor="let ingredient of recipeDetail.ingredients">
          {{ ingredient.name }} ({{ ingredient.amount }})
        </li>
      </ul>
    </div>
  </div>
</div>